FROM php:7.2-fpm

RUN mkdir -p /usr/share/man/man1 && touch /usr/share/man/man1/java.1.gz.dpkg-tmp
RUN apt-get update
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y default-jre-headless

RUN apt-get update \
    && DEBIAN_FRONTEND=noninteractive apt-get install -y locales default-jre-headless \
    && sed -i -e 's/# en_US.UTF-8 UTF-8/en_US.UTF-8 UTF-8/' /etc/locale.gen \
    && sed -i -e 's/# ru_RU.UTF-8 UTF-8/ru_RU.UTF-8 UTF-8/' /etc/locale.gen \
    && dpkg-reconfigure --frontend=noninteractive locales \
    && update-locale LANG=ru_RU.UTF-8

ENV LANG="ru_RU.UTF-8" LC_ALL="ru_RU.UTF-8" COMPOSER_ALLOW_SUPERUSER="1" TZ=${TZ:-"Europe/Moscow"}



RUN apt-get update && apt-get install -y \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libjpeg-dev \
        libpng-dev \
        libgearman-dev \
        libicu-dev \
        libtidy-dev \
        libzip-dev \
        zlibc \
        zlib1g \
        libmemcached11 libmemcachedutil2 build-essential libmemcached-dev libz-dev \
        python-dev libxml2-dev libxslt1-dev zlib1g-dev ssh \
        mc vim sudo tzdata git zip wget \
    && docker-php-ext-configure zip --with-libzip \
    && docker-php-ext-install zip \
    && docker-php-ext-configure gd --with-freetype-dir=/usr/include/ --with-jpeg-dir=/usr/include/ \
    && docker-php-ext-install -j$(nproc) gd \
    && pecl install gearman \
    && pecl install redis-5.3.4 \
    && pecl install memcached-3.1.5 \
    && docker-php-ext-install \
            intl \
            mysqli \
            pdo_mysql \
            soap \
            tidy \
            xml \
            xsl \
            zip \
            opcache \
            pcntl \            
            sockets \
            wddx \
            gettext \
            exif \
    && docker-php-ext-enable gearman exif redis \
    && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

COPY --from=composer:2.2.4 /usr/bin/composer /usr/local/bin/composer

COPY php7.2.ini "$PHP_INI_DIR/php.ini"

RUN curl -sS https://get.symfony.com/cli/installer | bash
RUN cp /root/.symfony5/bin/symfony /usr/local/bin/symfony

WORKDIR /var/app

EXPOSE 9000

